Panduan pembalasan.id
Reports

Get conversation statistics grouped by channel type

GET
/api/v2/accounts/{account_id}/summary_reports/channel

Get conversation counts grouped by channel type and status for a given date range. Returns statistics for each channel type including open, resolved, pending, snoozed, and total conversation counts.

Note: This API endpoint is available only in Chatwoot version 4.10.0 and above. The date range is limited to a maximum of 6 months.

Authorization

userApiKey
api_access_token<token>

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

In: header

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

since?string

The timestamp from where report should start (Unix timestamp).

until?string

The timestamp from where report should stop (Unix timestamp).

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/accounts/0/summary_reports/channel"
{
  "Channel::WebWidget": {
    "open": 10,
    "resolved": 20,
    "pending": 5,
    "snoozed": 2,
    "total": 37
  },
  "Channel::Api": {
    "open": 5,
    "resolved": 15,
    "pending": 3,
    "snoozed": 1,
    "total": 24
  }
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}